Description

I'll try to explain my need with a sample.

Suppose you have Users, Area Manager and Programmers.

The Users can open a new issue and input same fieds (and only these) as Subject, Description and Priority.

The Area managers can change the status (only specific values) and category.

The Programmers can change the status to close and specify the date.

In other words, I would like to separate the capability to input each field accordin to the role.

Is it a way ?

I try to do this using a different tracker for each role but people can choose the tracker independently from his role, so it doesn't work.

Thanks a lot !

History

#1 - 2013-08-26 17:03 - Daniel Felix

Please take a look in your administrative section under the menu point "workflow". There are two tabs. The first tab defines which role can switch from

which status to another status. You can do this per tracker. On the other tab, you can choose which field is read only. Read only fields won't appear

on the issue update form.

#2 - 2013-08-27 00:16 - Alberto Cennini

Thanks Daniel. I tried using the workflow, but I can't solve my problem because people can choose the tracker: in other words, I can't 'fix' a tracker for

User, another one for Area Manager and another one for Programmers. It would work fine if I can specify that people with User role can use only User

tracker, so they can work only with status and field specified in the tabs: but I can't do it, isn't it ?

Thanks again !

P.S: I'm using Bitnami Redmine on Windows

#3 - 2013-08-28 11:56 - Daniel Felix

Well you can do it. Just remove all other tracker configuration in workflows for these users.

#4 - 2013-08-29 09:40 - Alberto Cennini

Thanks Daniel. If I'm not wrong people managing issues can choose one of all the tracker even if the administrator doesn't specify Status transictions

and Field permissions for a Role-tracker in workflow (I can't remove unwanted Tracker for the role, right ?). If I could limit the list of tracker to only the

tracker when a Status transiction or a Field Perrmission has been setted, it would be the optimal solution.

My target is to fix in same way a Tracker for a Role.

Thanks again a lot for yout support and patience.

Alberto

#5 - 2013-08-29 11:48 - Daniel Felix

- File users_workflow_status.png added

- File users_workflow_fields.png added

- File programmers_workflow_status.png added

- File programmers_workflow_fields.png added

- File form_user_new.png added

- File form_user_edit.png added

- File form_programmer_edit.png added

- File form_areamanager_edit.png added
Hi there,

a small massupload. Please take a look at the form_* screenshots.

If this is the behaviour you try to do. Take a look at the *_workflow_* screenshots

#6 - 2013-08-29 11:49 - Daniel Felix

- File areamanager_workflow_fields.png added

- File areamanager_workflow_status.png added

Here are the missing images. Redmine.org won't let me upload that much images. :-D

#7 - 2013-08-29 15:35 - Alberto Cennini

I followed the sample in you screeshots and it seems to work exactly as I want.

Thanks again for your precious help !

#8 - 2013-08-29 16:00 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for your feedback. I'm closing this issue as invalid.
